Bug 983689 - (CVE-2013-4113) CVE-2013-4113 php: xml_parse_into_struct buffer overflow when parsing deeply nested XML
CVE-2013-4113 php: xml_parse_into_struct buffer overflow when parsing deeply ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130711,repor...
: Security
Depends On: 983697 983698 983866 983867 983868 983869 983870 983871 983873 983874 983875 983876 983877 983879 983880 983883 984467
Blocks: 983702
  Show dependency treegraph
 
Reported: 2013-07-11 13:49 EDT by Jan Lieskovsky
Modified: 2015-09-26 18:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: php 5.3.27, php 5.4.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 02:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-11 13:49:02 EDT
An array index error, leading to invalid free flaw was found in the way XML extension of PHP, a scripting language for creating dynamic web sites, used to convert certain XML files into PHP language internal structures. Remote attacker could provide a specially-crafted XML file, that when opened in an PHP application would lead to that application crash or, potentially, arbitrary code execution with the privileges of the user running the application.

References:
http://php.net/archive/2013.php#id2013-07-11-1
http://www.php.net/ChangeLog-5.php#5.3.27

Upstream bug report:
https://bugs.php.net/bug.php?id=65236

Relevant patch:
https://bugs.php.net/patch-display.php?bug_id=65236&patch=bug65236.diff&revision=latest
http://git.php.net/?p=php-src.git;a=commitdiff;h=7d163e8a0880ae8af2dd869071393e5dc07ef271
Comment 1 Jan Lieskovsky 2013-07-11 13:51:30 EDT
Testing script from upstream bug:

<?php
xml_parse_into_struct(xml_parser_create_ns(), str_repeat("<blah>", 1000), $a);


http://git.php.net/?p=php-src.git;a=commitdiff;h=710eee5555bc5c95692bd3c84f5d2b5d687349b6
Comment 2 Jan Lieskovsky 2013-07-11 13:59:47 EDT
This issue affects the versions of the php and php53 packages, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the php package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the php package, as shipped with Fedora release of 17, 18, and 19. Please schedule an update.
Comment 5 Jan Lieskovsky 2013-07-11 14:01:27 EDT
Created php tracking bugs for this issue:

Affects: fedora-all [bug 983698]
Comment 6 Jan Lieskovsky 2013-07-11 14:14:04 EDT
The CVE identifier of CVE-2013-4113 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/07/11/6
Comment 13 errata-xmlrpc 2013-07-12 16:19:14 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1050 https://rhn.redhat.com/errata/RHSA-2013-1050.html
Comment 14 errata-xmlrpc 2013-07-12 16:19:34 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:1049 https://rhn.redhat.com/errata/RHSA-2013-1049.html
Comment 16 errata-xmlrpc 2013-07-15 16:28:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4 Extended Lifecycle Support
  Red Hat Enterprise Linux 3 Extended Lifecycle Support

Via RHSA-2013:1063 https://rhn.redhat.com/errata/RHSA-2013-1063.html
Comment 17 errata-xmlrpc 2013-07-15 16:30:12 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2013:1062 https://rhn.redhat.com/errata/RHSA-2013-1062.html
Comment 18 errata-xmlrpc 2013-07-15 16:40:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.3 Long Life
  Red Hat Enterprise Linux 5.6 EUS - Server Only
  Red Hat Enterprise Linux 6.2 EUS - Server Only
  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:1061 https://rhn.redhat.com/errata/RHSA-2013-1061.html
Comment 19 Vincent Danen 2013-08-16 11:36:48 EDT
This has also been corrected in upstream 5.4.18:

http://www.php.net/ChangeLog-5.php#5.4.18
Comment 20 Vincent Danen 2014-11-24 11:41:51 EST
Statement:

This issue does not affect the version of php54 as shipped with Red Hat Software Collections 1.

Note You need to log in before you can comment on or make changes to this bug.